*{
    margin:0;
}

body{
    font-family: 'Orbitron', sans-serif;
    background: #0f001f;

    h1{ 
        display: flex;
        justify-content: center;
        padding: 6vh; 
        padding-bottom: 20px;
      }
      
      .text3d {
        padding-top: 3vh;
        font-size: 50px;
        color: white;
        text-shadow:
         1px 1px 0 #4c045a,
         2px 2px 0 #660556,
         3px 3px 0 #550a51,
         4px 4px 0 #666;

  }
  
  p{
    color: white;
  }
  .container {
  display: flex;
  flex-direction: column;
  align-items: center; 
  gap: 40px; 
}

  .header_text{
     height: auto;
     color: white;
     letter-spacing: 6px;
     text-transform: uppercase;
     text-shadow: 0 0 1px rgba(255,255,255,0.3);
     background: linear-gradient(135deg, #1a1a1a, #3a3a3a);
     text-align: center;  
     padding: 5px 0;
    
  }
  .about-me  {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
  .about-me p {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    max-width: 600px;
    line-height: 1.6;
}
.goals-activity{
     display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    max-width: 600px;
    line-height: 1.6;
}
.projects{
   display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    max-width: 600px;
    line-height: 1.6;  

}
 .text2d{
        text-decoration: underline;
        color: white;
        text-shadow:
         1px 1px 0 #999,
         2px 2px 0 #176bda,
         3px 3px 0 #777,
         4px 4px 0 #0fc5bc;
    }
}


.social-container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
    margin-bottom:10px;

}

.social-btn{
    position:relative;
    display:flex;
    align-items:center;
    justify-content:center;
   
    

    width:30px;
    height:30px;
    padding-left: 5px;

    border:none;
    border-radius:45px;

    color:white;
    font-size:18px;
    text-decoration:none;

    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.1);
    backdrop-filter:blur(10px);

    overflow:hidden;
    transition:0.7s ease;
}

/* tekst verborgen */
.social-btn span{
    width:0;
    opacity:0;
    overflow:hidden;
    white-space:nowrap;
    transition:0.6 ease;
   
}

/* icon */
.social-btn i{
    min-width:30px;
    text-align:center;
    
}

/* Instagram */
.instagram:hover{
    background:linear-gradient(
        45deg,
        #feda75,
        #fa7e1e,
        #d62976,
        #962fbf,
        #4f5bd5
    );

    box-shadow:
    0 0 20px rgba(214,41,118,0.6);
}

/* GitHub */
.github:hover{
    background:linear-gradient(
        45deg,
        #333,
        #555
    );

    box-shadow:
    0 0 20px rgba(255,255,255,0.3);
}

/* Discord */
.discord:hover{
    background:linear-gradient(
        45deg,
        #5865F2,
        #7289DA
    );

    box-shadow:
    0 0 20px rgba(88,101,242,0.6);
}






